package cn.reghao.tnb.user.app.model.dto;

import cn.reghao.tnb.user.api.dto.UserInfo;
import lombok.Data;

/**
 * @author reghao
 * @date 2022-04-16 23:04:42
 */
@Data
public class SearchContactResult {
    private String id;
    private String mobile;
    private String nickname;
    private int gender;
    private String motto;
    private String avatar;

    public SearchContactResult(UserInfo userInfo) {
        this.id = userInfo.getUserId();
        this.mobile = "13012345678";
        this.nickname = userInfo.getScreenName();
        this.gender = userInfo.getGender();
        this.motto = userInfo.getSignature();
        this.avatar = userInfo.getAvatarUrl();
    }
}
